Built LMS Help Center
API Reference and PlaygroundSecuritySecurity Audits

GET Generate RLS compliance report

Verify Row Level Security (RLS) compliance and organization boundary isolation for the authenticated organization. This endpoint tests cross-tenant data access prevention and RLS policy enforcement.

GET
/security/rls-compliance

Verify Row Level Security (RLS) compliance and organization boundary isolation for the authenticated organization. This endpoint tests cross-tenant data access prevention and RLS policy enforcement.

Authorization

BearerAuth
AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Query Parameters

tables?string

Comma-separated list of tables to test (default profiles,courses,enrollments)

Default"profiles,courses,enrollments"
include_details?boolean

Include detailed test results for each table

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/security/rls-compliance"
{  "data": {    "compliant": true,    "organization_id": "{organization_id}",    "api_key_scope": "string",    "timestamp": "2019-08-24T14:15:22Z",    "summary": {      "tables_tested": 0,      "policies_checked": 0,      "passed_checks": 0,      "failed_checks": 0,      "criticalIssues": 0    },    "table_results": [      {        "table_name": "string",        "rls_enabled": true,        "policies_active": 0,        "cross_org_access_blocked": true,        "issues": [          "string"        ]      }    ],    "recommendations": [      "string"    ]  },  "meta": {    "test_type": "string",    "tables_tested": 0,    "issues_found": 0,    "organization_isolated": true  }}